%define LNG ru
%define tarball_version 3.41-2145-1699-20120901

Summary:	Russian man (manual) pages from the Linux Documentation Project
Name:		man-pages-%{LNG}
Version:	3.41
Release:	19
License:	Distributable
Group:		System/Internationalization
Url:		http://www.linuxshare.ru/projects/trans/mans.html
# Not sure where this tarball came from. It is older than than the one from
# linuxshare but contains much more files
Source0:	manpages-ru-0.98-full.tar.bz2
Source1:	manpages-ALT.tar.bz2
Source2:	man-pages-%{LNG}-goodies.tar.bz2
Source3:	man-pages-ru_%{tarball_version}.tar.bz2
Source4:	tcb-0.9.8.7-man-ru.tar.bz2
Source8:	man-ssh.tar.bz2
Source9:	manpages-angel.tar.bz2
Source10:	manpages-boojuman.tar.bz2
Source12:	man-pages-ru-autofs.tar.bz2
Source13:	man-pages-security-ru-1.0.tar.bz2
Source14:	man-pages-ru-extra.tar.bz2
Source15:	http://www.linuxshare.ru/projects/trans/manpages-ru-0.98.tar.bz2
Source16:	install.tar.xz
Patch0:		man-pages-ru-0.98-alt-combo.patch.bz2
BuildRequires:	man
Requires:	locales-%{LNG}
Requires:	man
Requires(post):	sed
Requires(post):	grep
Requires(post):	man
Provides:	man-%{LNG}
Provides:	manpages-%{LNG}
BuildArch:	noarch


%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to Russian. 

%files
%defattr(0644,root,root,0755)
%doc CREDITS FAQ NEWS
%defattr(0644,root,man,755)
%dir %{_mandir}/%{LNG}
%dir /var/cache/man/%{LNG}
%{_docdir}/security-ru/
%ghost %config(noreplace) /var/cache/man/%{LNG}/whatis
%{_mandir}/%{LNG}/man*
%{_mandir}/%{LNG}/cat*
%{_mandir}/%{LNG}/CACHEDIR.TAG*
%{_mandir}/%{LNG}/index.db*
#%_mandir/%{LNG}/whatis
%attr(755,root,man) /var/catman/%{LNG}
%config(noreplace) %attr(755,root,root) %{_sysconfdir}/cron.weekly/makewhatis-%{LNG}.cron

%post
%create_ghostfile /var/cache/man/%{LNG}/whatis root root 644

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LNG}, if there isn't any man page
   ## directory /%{_mandir}/%{LNG}
   if [ ! -d %{_mandir}/%{LNG} ] ; then
       rm -rf /var/catman/%{LNG}
   fi
fi

#----------------------------------------------------------------------------

%prep
%setup -q -a1 -a3 -a4 -a8 -a9 -a10 -a12 -a13 -a14 -a15 -a16 -n manpages-ru-0.98

cp -adpvrf manpages-ru-0.98/* .
rm -rf manpages-ru-0.98

cp %{SOURCE3} .
tar xjvf man-pages-ru_%{tarball_version}.tar.bz2

%patch0 -p1

%build

%install
mkdir -p %{buildroot}/%{_mandir}/%{LNG}/
mkdir -p %{buildroot}/var/catman/%{LNG}/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8; do
	cp -adpvrf man$i %{buildroot}/%{_mandir}/%{LNG}/
	cp man-pages-ru_%{tarball_version}/man$i/* %{buildroot}/%{_mandir}/%{LNG}/man$i/
done

# Drop the files provided by native packages
rm -f %{buildroot}/%{_mandir}/%{LNG}/man1/dosemu*
rm -f %{buildroot}/%{_mandir}/%{LNG}/man1/scmxx*
rm -f %{buildroot}/%{_mandir}/%{LNG}/man3/ipcalc_c*

LANG=%{LNG} DESTDIR=%{buildroot} %{_bindir}/mandb %{buildroot}/%{_mandir}/%{LNG}

mkdir -p %{buildroot}%{_sysconfdir}/cron.weekly
cat > %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%{LNG}.cron << EOF
#!/bin/bash
LANG=%{LNG} %{_bindir}/mandb %{_mandir}/%{LNG}
exit 0
EOF
chmod a+x %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%{LNG}.cron

mkdir -p  %{buildroot}/var/cache/man/%{LNG}

touch %{buildroot}/var/cache/man/%{LNG}/whatis

mkdir -p %{buildroot}%{_docdir}/security-ru
mkdir -p %{buildroot}%{_mandir}/ru/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p %{buildroot}/var/cache/man/ru/cat{1,2,3,4,5,6,7,8,9,n}
cd man-pages-security-ru-1.0
make install \
        INSTALL="install -p -m644" \
        INSTALLMAN=%{buildroot}%{_mandir} \
        INSTALLDOC=%{buildroot}%{_docdir}/security-ru \
        LANG_SUBDIR=ru \
        COMPRESS=none \
        #

# Remove conflicting files
rm -f %{buildroot}%{_mandir}/%{LNG}/man1/initlog.1
rm -f %{buildroot}%{_mandir}/%{LNG}/man8/rpm.8
rm -f %{buildroot}%{_mandir}/%{LNG}/man8/rpm2cpio.8

%changelog

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.41-19
- (5374db7) Remove conflicting man pages


